<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('activity', function (Blueprint $table) {
            $table->string("sign_qrcode2")->nullable()->comment("正常用户签到码")->after("qr_code");
            $table->string("sign_qrcode1")->nullable()->comment("非正常用户签到码")->after("qr_code");
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('activity', function (Blueprint $table) {
            $table->dropColumn(['sign_qrcode1', 'sign_qrcode2']);
        });
    }
};
